Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.cache
Class ReadWriteBackingMap.CacheStoreWrapper.LoadBundler

`java.lang.Object
com.tangosol.util.Base
com.tangosol.net.cache.AbstractBundler
com.tangosol.net.cache.AbstractKeyBundler
com.tangosol.net.cache.ReadWriteBackingMap.CacheStoreWrapper.LoadBundler`

Enclosing class:
  ReadWriteBackingMap.CacheStoreWrapper

      protected class ReadWriteBackingMap.CacheStoreWrapper.LoadBundler

extends AbstractKeyBundler

Nested Class Summary

Nested classes/interfaces inherited from class com.tangosol.net.cache.AbstractKeyBundler
`AbstractKeyBundler.Bundle`

Nested classes/interfaces inherited from class com.tangosol.net.cache.AbstractBundler
`AbstractBundler.Statistics`

Field Summary

Fields inherited from class com.tangosol.net.cache.AbstractBundler
`ADJUSTMENT_FREQUENCY, m_countThreads, m_dPreviousSizeThreshold, m_listBundle`

Constructor Summary
`protected` | `ReadWriteBackingMap.CacheStoreWrapper.LoadBundler()`

Method Summary
`protected java.util.Map` | `bundle(java.util.Collection colKeys)` A pass through the the underlying loadAll operation.
`protected java.lang.Object` | `unbundle(java.lang.Object oKey)` A pass through the the underlying load operation.

Methods inherited from class com.tangosol.net.cache.AbstractKeyBundler
`instantiateBundle, process, processAll`

Methods inherited from class com.tangosol.net.cache.AbstractBundler
`adjust, getDelayMillis, getOpenBundle, getSizeThreshold, getThreadThreshold, isAllowAutoAdjust, resetStatistics, setAllowAutoAdjust, setDelayMillis, setSizeThreshold, setThreadThreshold, toString, updateStatistics`

Constructor Detail

### ReadWriteBackingMap.CacheStoreWrapper.LoadBundler

    protected ReadWriteBackingMap.CacheStoreWrapper.LoadBundler()

Method Detail

### bundle

    protected java.util.Map bundle(java.util.Collection colKeys)

  A pass through the the underlying loadAll operation.
  Specified by:
    `bundle` in class `AbstractKeyBundler`
  Parameters:
    `colKeys` - a key collection to perform the bundled operation for

### unbundle

    protected java.lang.Object unbundle(java.lang.Object oKey)

  A pass through the the underlying load operation.
  Specified by:
    `unbundle` in class `AbstractKeyBundler`
  Parameters:
    `oKey` - a key to perform the un-bundled operation for

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.